> ## Documentation Index
> Fetch the complete documentation index at: https://gogs.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Edit a hook



## OpenAPI

````yaml PATCH /repos/{owner}/{repo}/hooks/{id}
openapi: 3.0.3
info:
  title: Gogs API
  version: v1
  description: >-
    RESTful API for interacting with your Gogs instance. Follows a format
    similar to the GitHub REST API v3.
servers:
  - url: https://gogs.example.com/api/v1
security:
  - AccessToken: []
tags:
  - name: Repositories
    description: Create, search, and manage repositories, branches, commits, and contents
  - name: Collaborators and Deploy Keys
    description: Manage repository collaborators and deploy keys
  - name: Releases
    description: List repository releases
  - name: Webhooks
    description: Create, edit, and delete repository webhooks
  - name: Issues
    description: Manage issues, comments, labels, and milestones
  - name: Users
    description: Search users, manage access tokens, emails, followers, and public keys
  - name: Organizations
    description: Manage organizations, members, and teams
  - name: Administration
    description: Site administration endpoints (requires admin privileges)
  - name: Miscellaneous
    description: Markdown rendering and Git data endpoints
paths:
  /repos/{owner}/{repo}/hooks/{id}:
    patch:
      tags:
        - Webhooks
      summary: Edit a hook
      operationId: editHook
      parameters:
        - name: owner
          in: path
          required: true
          schema:
            type: string
          description: Repository owner
        - name: repo
          in: path
          required: true
          schema:
            type: string
          description: Repository name
        - name: id
          in: path
          required: true
          schema:
            type: string
          description: Hook ID
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                config:
                  type: object
                  properties:
                    url:
                      type: string
                    content_type:
                      type: string
                    secret:
                      type: string
                events:
                  type: array
                  items:
                    type: string
                active:
                  type: boolean
              required:
                - config
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Hook'
        '404':
          description: Resource not found.
        '422':
          description: Validation error.
components:
  schemas:
    Hook:
      type: object
      properties:
        id:
          type: integer
        type:
          type: string
          enum:
            - gogs
            - slack
            - discord
            - dingtalk
        events:
          type: array
          items:
            type: string
        active:
          type: boolean
        config:
          type: object
        created_at:
          type: string
          format: date-time
        updated_at:
          type: string
          format: date-time
  securitySchemes:
    AccessToken:
      type: apiKey
      in: header
      name: Authorization
      description: 'Personal access token. Use format: token {YOUR_ACCESS_TOKEN}'

````